GMX-CONVERT-TPR(1)

NAME
gmx-convert-tpr - Make a modifed run-input file

SYNOPSIS

gmx convert-tpr [-s [<.tpr>]] [-n [<.ndx>]] [-o [<.tpr>]]
             [-extend <real>] [-until <real>] [-nsteps <int>]
             [-[no]zeroq]

DESCRIPTION

gmx convert-tpr can edit run input files in three ways.

1. by modifying the number of steps in a run input file with options -extend, -until or -nsteps (nsteps=-1 means unlimited number of steps)

2. by creating a .tpx file for a subset of your original tpx file, which is useful when you want to remove the solvent from your .tpx file, or when you want to make e.g. a pure Calpha .tpx file. Note that you may need to use -nsteps -1 (or similar) to get this to work. WARNING: this .tpx file is not fully functional.

3. by setting the charges of a specified group to zero. This is useful when doing free energy estimates using the LIE (Linear Interaction Energy) method.

OPTIONS

Options to specify input files:

-s [<.tpr>] (topol.tpr)
    Portable xdr run input file

-n [<.ndx>] (index.ndx) (Optional)
    Index file

    Options to specify output files:

-o [<.tpr>] (tprout.tpr)
    Portable xdr run input file

    Other options:

-extend <real> (0)
    Extend runtime by this amount (ps)

-until <real> (0)
    Extend runtime until this ending time (ps)

-nsteps <int> (0)
    Change the number of steps

-[no]zeroq (no)
    Set the charges of a group (from the index) to zero

SEE ALSO

gmx(1)

More information about GROMACS is available at <http://www.gromacs.org/>.

COPYRIGHT
2021, GROMACS development team